#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD8,0xE0,0xCA,0xDE,0xE4,0x72,0xA8,0x5B,0xD7,0xA0,0xAE,0xE2,
		0x54,0x8D,0xB1,0x23,0xFB,0x3A,0xF3,0xDE,0xBE,0x75,0xB1,0xA1,
		0xDC,0xE6,0xAE,0xE8,0xDA,0x2E,0x23,0x5E,0x4A,0x62,0x2B,0x9A,
		0x17,0xD3,0xEE,0x3A,0xE2,0x88,0xC1,0x54,0x43,0xF4,0x6B,0x89,
		0x75,0x7B,0xAE,0x4A,0x2B,0x4B,0x14,0xD2,0xEE,0x85,0xC3,0x98,
		0xB9,0x9C,0xE8,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
